<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
  <meta charset="UTF-8">
  <title>Vehicles</title>
  <meta charset="utf-8"/>
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"/>
  <meta name="description" content=""/>
  <meta name="author" content=""/>
  <title>Vehicles</title>
  <!-- Favicon-->
  <link rel="icon" type="image/x-icon" href="/static/assets/favicon.ico"/>
  <script th:src="@{/js/jq.js}"></script>
  <!-- Font Awesome icons (free version)-->
  <script th:src="@{https://use.fontawesome.com/releases/v6.3.0/js/all.js}" crossorigin="anonymous"></script>
  <!-- Google fonts-->
  <link href="https://fonts.googleapis.com/css?family=Montserrat:400,700" rel="stylesheet" type="text/css"/>
  <link href="https://fonts.googleapis.com/css?family=Roboto+Slab:400,100,300,700" rel="stylesheet" type="text/css"/>
  <!-- Core theme CSS (includes Bootstrap)-->
  <link th:href="@{/css/styles.css}" rel="stylesheet"/>
  <link rel="stylesheet" type="text/css" href="../static/styles.css" th:href="@{/styles.css}">
  <style>
    .vehicle {
      padding: 8px;
      border-bottom: 1px solid #ddd;
      font-family: Arial, sans-serif;
      font-size: 14px;
    }

    .vehicle .licensePlate {
      font-weight: bold;
      cursor: pointer;
    }

    .vehicle .details {
      display: none;
      padding-left: 16px;
      color: #01cc99;
    }

    .vehicle:hover .details {
      display: block;
    }

    .vehicle .details p {
      margin: 0;
    }
  </style>
</head>
<body id="page-top">
<!-- Navigation-->
<nav th:replace="~{/fragments/navbar :: navbar}">Heather fragment</nav>

<section id="contact">
  <div class="container">
    <div class="text-center">
      <h2 class="section-heading text-uppercase">Vehicles</h2>
      <!-- Filers nd search bar -->
      <form action="#" th:action="@{${showAllVehiclesUrl}}" th:method="post" th:object="${filterOptions}">
        <input type="text" th:placeholder="Model" th:field="*{modelName}"/>
        <input type="text" th:placeholder="Brand" th:field="*{brandName}"/>
        <input type="text" th:placeholder="LicensePlate" th:field="*{licensePlate}"/>
        <input type="text" th:placeholder="VIN" th:field="*{vin}"/>
        <input type="text" th:placeholder="From" th:field="*{minYear}"/>
        <input type="text" th:placeholder="To" th:field="*{maxYear}"/>
        <br><br>
        <select style="width: 20%" class="custom-select-wrapper" th:field="*{sortBy}" th:placeholder="Sort">
          <option th:value='null' selected="selected" style=" display: none;">Sort by</option>
          <option value="modelName">Model</option>
          <option value="brandName">Brand</option>
          <option value="licensePlate">License Plate</option>
          <option value="vin">VIN</option>
          <option value="year">Year</option>
        </select>
        <br><br>
        <select style="width: 20%" class="custom-select-wrapper" th:placeholder="Order" th:field="*{orderBy}">
          <option th:value='null' selected="selected" style=" display: none;">Order by</option>
          <option value="asc">Ascending</option>
          <option value="desc">Descending</option>
        </select>
        <br/><br/>

        <input type="submit" value="Search"/>

      </form>
      <form>
        <input th:action="@{/vehicles}" th:method="get" type="submit" value="Clear"/>
      </form>
    </div>
    <!-- Vehicles List -->
    <div id="vehicleList">
      <div th:each="vehicle : ${filteredVehicles}" class="vehicle">
        <a th:href="@{/vehicles/{id}(id=${vehicle.id})}" onclick="toggleDetails(this)">
          <span class="licensePlate" th:text="${vehicle.licensePlate}"></span>
        </a>
        <br>
        <div class="details">
          <p>Model: <span th:text="${vehicle.model.modelName}"></span></p>
          <p>Brand: <span th:text="${vehicle.getModel().getBrand().brandName}"></span></p>
          <p>Creation Year: <span th:text="${vehicle.year}"></span></p>
          <p>VIN: <span th:text="${vehicle.vin}"></span></p>
          <a th:if="${isAdmin or isEmployee}"th:href="@{/vehicles/{id}/update(id=${vehicle.id})}">
            <input style="width: 10%" class="button login__submit" type="submit" value="Edit">
          </a>
        </div>
      </div>
    </div>
    <script>
      function toggleDetails(element) {
        var details = element.nextElementSibling;
        if (details.style.display === "none") {
          details.style.display = "block";
        } else {
          details.style.display = "none";
        }
      }
    </script>
  </div>
</section>
<script th:src="@{https://cdn.jsdelivr.net/npm/bootstrap5.2.3/dist/js/bootstrap.bundle.min.js}"></script>
<!-- Core theme JS-->
<script th:src="@{../js/scripts.js}"></script>
<!-- * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *-->
<!-- * *                               SB Forms JS                               * *-->
<!-- * * Activate your form at https://startbootstrap.com/solution/contact-forms * *-->
<!-- * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *-->
<script th:src="@{https://cdn.startbootstrap.com/sb-forms-latest.js}"></script>
</body>
</html>